{
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/sycoca/ksycocafactory.cpp",
                    "line": 57,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'saveOffset' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/sycoca/ksycocafactory.cpp",
                    "line": 57,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'saveOffset' is never read",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/sycoca/kmemfile.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘virtual bool KMemFile::open(QIODevice::OpenMode)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/sycoca/kmemfile.cpp",
                    "line": 168,
                    "column": 15,
                    "event": "warning[-Wclass-memaccess]",
                    "message": "‘void* memset(void*, int, size_t)’ clearing an object of non-trivial type ‘struct KMemFile::Private::sharedInfoData’; use assignment or value-initialization instead",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  168 |         memset(infoPtr, 0, sizeof(Private::sharedInfoData));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/sycoca/kmemfile.cpp",
                    "line": 21,
                    "column": 12,
                    "event": "note",
                    "message": "‘struct KMemFile::Private::sharedInfoData’ declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   21 |     struct sharedInfoData {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |            ^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/sycoca/kbuildsycoca.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘bool KBuildSycoca::recreate(bool)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/sycoca/kbuildsycoca.cpp",
                    "line": 440,
                    "column": 23,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘int fchown(int, __uid_t, __gid_t)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  440 |                 fchown(database.handle(), uid, gid);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                 ~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In static member function ‘static void KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 233,
                    "column": 26,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘void KMessage::message(MessageType, const QString&, const QString&)’ is deprecated: Since 5.97. Use Qt logging or custom message handling.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  233 |         KMessage::message(KMessage::Error, //",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  234 |                           i18n(\"Could not launch the mail client:\\n\\n%1\", error),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  235 |                           i18n(\"Could not launch Mail Client\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/KMessage",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 23,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kmessage.h",
                    "line": 82,
                    "column": 6,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   82 | void message(KMessage::MessageType messageType, const QString &text, const QString &caption = QString());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |      ^~~~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In static member function ‘static void KToolInvocation::invokeBrowser(const QString&, const QByteArray&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 282,
                    "column": 42,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘void KMessage::message(MessageType, const QString&, const QString&)’ is deprecated: Since 5.97. Use Qt logging or custom message handling.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  282 |                         KMessage::message(KMessage::Error,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                         ~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  283 |                                           // TODO: i18n(\"Could not launch %1:\\n\\n%2\", exe, error),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  284 |                                           i18n(\"Could not launch the browser:\\n\\n%1\", error),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  285 |                                           i18n(\"Could not launch Browser\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kmessage.h",
                    "line": 82,
                    "column": 6,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   82 | void message(KMessage::MessageType messageType, const QString &text, const QString &caption = QString());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |      ^~~~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 307,
                    "column": 38,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘void KMessage::message(MessageType, const QString&, const QString&)’ is deprecated: Since 5.97. Use Qt logging or custom message handling.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  307 |                     KMessage::message(KMessage::Error,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                     ~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  308 |                                       // TODO: i18n(\"Could not launch %1:\\n\\n%2\", htmlApp->exec(), error),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  309 |                                       i18n(\"Could not launch the browser:\\n\\n%1\", error),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  310 |                                       i18n(\"Could not launch Browser\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kmessage.h",
                    "line": 82,
                    "column": 6,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   82 | void message(KMessage::MessageType messageType, const QString &text, const QString &caption = QString());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |      ^~~~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 326,
                    "column": 26,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘void KMessage::message(MessageType, const QString&, const QString&)’ is deprecated: Since 5.97. Use Qt logging or custom message handling.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  326 |         KMessage::message(KMessage::Error,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  327 |                           // TODO: i18n(\"Could not launch %1:\\n\\n%2\", exe, error),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  328 |                           i18n(\"Could not launch the browser:\\n\\n%1\", error),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  329 |                           i18n(\"Could not launch Browser\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kmessage.h",
                    "line": 82,
                    "column": 6,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   82 | void message(KMessage::MessageType messageType, const QString &text, const QString &caption = QString());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |      ^~~~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In static member function ‘static void KToolInvocation::invokeTerminal(const QString&, const QStringList&, const QString&, const QByteArray&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 342,
                    "column": 26,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘void KMessage::message(MessageType, const QString&, const QString&)’ is deprecated: Since 5.97. Use Qt logging or custom message handling.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  342 |         KMessage::message(KMessage::Error, i18n(\"Unable to determine the default terminal\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kmessage.h",
                    "line": 82,
                    "column": 6,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   82 | void message(KMessage::MessageType messageType, const QString &text, const QString &caption = QString());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |      ^~~~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/kdeinit/ktoolinvocation_x11.cpp",
                    "line": 353,
                    "column": 26,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘void KMessage::message(MessageType, const QString&, const QString&)’ is deprecated: Since 5.97. Use Qt logging or custom message handling.",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  353 |         KMessage::message(KMessage::Error,",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |         ~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  354 |                           i18n(\"Could not launch the terminal client:\\n\\n%1\", error),",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  355 |                           i18n(\"Could not launch Terminal Client\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kmessage.h",
                    "line": 82,
                    "column": 6,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   82 | void message(KMessage::MessageType messageType, const QString &text, const QString &caption = QString());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |      ^~~~~~~",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotraderparse’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 418,
                    "column": 21,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘yyptr’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 99,
                    "column": 40,
                    "event": "note",
                    "message": "in definition of macro ‘YY_CAST’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 404,
                    "column": 25,
                    "event": "note",
                    "message": "in expansion of macro ‘YYMALLOC’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1098,
                    "column": 20,
                    "event": "note",
                    "message": "in expansion of macro ‘YYSTACK_ALLOC’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/services/yacc.y",
                    "line": 167,
                    "column": 6,
                    "event": "note",
                    "message": "(1) entry to ‘KTraderParse_mainParse’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/services/yacc.y",
                    "line": 172,
                    "column": 5,
                    "event": "note",
                    "message": "(2) calling ‘kiotraderparse’ from ‘KTraderParse_mainParse’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 68,
                    "column": 25,
                    "event": "note",
                    "message": "(3) entry to ‘kiotraderparse’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 980,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘yyparse’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1059,
                    "column": 6,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1123,
                    "column": 6,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1123,
                    "column": 6,
                    "event": "note",
                    "message": "(6) following ‘false’ branch (when ‘yystate != 27’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1126,
                    "column": 3,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1138,
                    "column": 6,
                    "event": "note",
                    "message": "(8) following ‘false’ branch (when ‘yyn != -14’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1144,
                    "column": 6,
                    "event": "note",
                    "message": "(9) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1144,
                    "column": 6,
                    "event": "note",
                    "message": "(10) following ‘true’ branch (when ‘yychar == -2’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 69,
                    "column": 25,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1147,
                    "column": 16,
                    "event": "note",
                    "message": "in expansion of macro ‘yylex’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1156,
                    "column": 11,
                    "event": "note",
                    "message": "(12) following ‘false’ branch (when ‘yychar != 256’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 513,
                    "column": 15,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1168,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘YYTRANSLATE’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1175,
                    "column": 6,
                    "event": "note",
                    "message": "(14) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1177,
                    "column": 16,
                    "event": "note",
                    "message": "(15) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1178,
                    "column": 6,
                    "event": "note",
                    "message": "(16) following ‘false’ branch (when ‘yyn > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1188,
                    "column": 6,
                    "event": "note",
                    "message": "(17) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1188,
                    "column": 6,
                    "event": "note",
                    "message": "(18) following ‘false’ branch (when ‘yyerrstatus == 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1195,
                    "column": 12,
                    "event": "note",
                    "message": "(19) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1059,
                    "column": 6,
                    "event": "note",
                    "message": "(20) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1123,
                    "column": 6,
                    "event": "note",
                    "message": "(21) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1123,
                    "column": 6,
                    "event": "note",
                    "message": "(22) following ‘false’ branch (when ‘yystate != 27’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1126,
                    "column": 3,
                    "event": "note",
                    "message": "(23) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1138,
                    "column": 6,
                    "event": "note",
                    "message": "(24) following ‘false’ branch (when ‘yyn != -14’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1144,
                    "column": 6,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1144,
                    "column": 6,
                    "event": "note",
                    "message": "(26) following ‘true’ branch (when ‘yychar == -2’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 69,
                    "column": 25,
                    "event": "note",
                    "message": "(27) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1147,
                    "column": 16,
                    "event": "note",
                    "message": "in expansion of macro ‘yylex’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1150,
                    "column": 6,
                    "event": "note",
                    "message": "(28) following ‘false’ branch (when ‘yychar > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1156,
                    "column": 11,
                    "event": "note",
                    "message": "(29) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1156,
                    "column": 11,
                    "event": "note",
                    "message": "(30) following ‘true’ branch (when ‘yychar == 256’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1164,
                    "column": 7,
                    "event": "note",
                    "message": "(31) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1596,
                    "column": 10,
                    "event": "note",
                    "message": "(32) following ‘true’ branch (when ‘yyn != -14’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1598,
                    "column": 15,
                    "event": "note",
                    "message": "(33) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1599,
                    "column": 14,
                    "event": "note",
                    "message": "(34) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1601,
                    "column": 28,
                    "event": "note",
                    "message": "(35) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1602,
                    "column": 18,
                    "event": "note",
                    "message": "(36) following ‘true’ branch (when ‘yyn > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1620,
                    "column": 12,
                    "event": "note",
                    "message": "(37) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1088,
                    "column": 10,
                    "event": "note",
                    "message": "(38) following ‘false’ branch (when ‘yystacksize <= 9999’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1090,
                    "column": 19,
                    "event": "note",
                    "message": "(39) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 418,
                    "column": 21,
                    "event": "note",
                    "message": "(40) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 99,
                    "column": 40,
                    "event": "note",
                    "message": "in definition of macro ‘YY_CAST’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 404,
                    "column": 25,
                    "event": "note",
                    "message": "in expansion of macro ‘YYMALLOC’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1098,
                    "column": 20,
                    "event": "note",
                    "message": "in expansion of macro ‘YYSTACK_ALLOC’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1099,
                    "column": 12,
                    "event": "note",
                    "message": "(41) assuming ‘yyptr’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1099,
                    "column": 12,
                    "event": "note",
                    "message": "(42) following ‘false’ branch (when ‘yyptr’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 478,
                    "column": 7,
                    "event": "note",
                    "message": "(43) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 463,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘YYCOPY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1101,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘YYSTACK_RELOCATE’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1104,
                    "column": 12,
                    "event": "note",
                    "message": "(44) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1109,
                    "column": 13,
                    "event": "note",
                    "message": "(45) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1117,
                    "column": 10,
                    "event": "note",
                    "message": "(46) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1123,
                    "column": 6,
                    "event": "note",
                    "message": "(47) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1123,
                    "column": 6,
                    "event": "note",
                    "message": "(48) following ‘false’ branch (when ‘yystate != 27’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1126,
                    "column": 3,
                    "event": "note",
                    "message": "(49) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1138,
                    "column": 6,
                    "event": "note",
                    "message": "(50) following ‘false’ branch (when ‘yyn != -14’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1144,
                    "column": 6,
                    "event": "note",
                    "message": "(51) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1175,
                    "column": 6,
                    "event": "note",
                    "message": "(52) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1177,
                    "column": 16,
                    "event": "note",
                    "message": "(53) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1178,
                    "column": 6,
                    "event": "note",
                    "message": "(54) following ‘false’ branch (when ‘yyn > 0’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1188,
                    "column": 6,
                    "event": "note",
                    "message": "(55) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1059,
                    "column": 6,
                    "event": "note",
                    "message": "(56) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1065,
                    "column": 34,
                    "event": "note",
                    "message": "(57) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1088,
                    "column": 10,
                    "event": "note",
                    "message": "(58) following ‘false’ branch (when ‘yystacksize <= 9999’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1090,
                    "column": 19,
                    "event": "note",
                    "message": "(59) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 418,
                    "column": 21,
                    "event": "note",
                    "message": "(60) ‘yyptr’ leaks here; was allocated at (40)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 99,
                    "column": 40,
                    "event": "note",
                    "message": "in definition of macro ‘YY_CAST’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 404,
                    "column": 25,
                    "event": "note",
                    "message": "in expansion of macro ‘YYMALLOC’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1098,
                    "column": 20,
                    "event": "note",
                    "message": "in expansion of macro ‘YYSTACK_ALLOC’",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 478,
                    "column": 7,
                    "event": "warning[-Wanalyzer-use-of-uninitialized-value]",
                    "message": "use of uninitialized value ‘yyss’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 463,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘YYCOPY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1101,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘YYSTACK_RELOCATE’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/services/yacc.y",
                    "line": 167,
                    "column": 6,
                    "event": "note",
                    "message": "(1) entry to ‘KTraderParse_mainParse’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/src/services/yacc.y",
                    "line": 172,
                    "column": 5,
                    "event": "note",
                    "message": "(2) calling ‘kiotraderparse’ from ‘KTraderParse_mainParse’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 68,
                    "column": 25,
                    "event": "note",
                    "message": "(3) entry to ‘kiotraderparse’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 980,
                    "column": 1,
                    "event": "note",
                    "message": "in expansion of macro ‘yyparse’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1006,
                    "column": 16,
                    "event": "note",
                    "message": "(4) region created on stack here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1006,
                    "column": 16,
                    "event": "note",
                    "message": "(5) capacity: 200 bytes",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1059,
                    "column": 6,
                    "event": "note",
                    "message": "(6) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1065,
                    "column": 34,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1088,
                    "column": 10,
                    "event": "note",
                    "message": "(8) following ‘false’ branch (when ‘yystacksize <= 9999’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1090,
                    "column": 19,
                    "event": "note",
                    "message": "(9) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1099,
                    "column": 12,
                    "event": "note",
                    "message": "(10) following ‘false’ branch (when ‘yyptr’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 478,
                    "column": 7,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 463,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘YYCOPY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1101,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘YYSTACK_RELOCATE’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 478,
                    "column": 7,
                    "event": "note",
                    "message": "(12) use of uninitialized value ‘yyss’ here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 463,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘YYCOPY’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/yacc.c",
                    "line": 1101,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘YYSTACK_RELOCATE’",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1615,
                    "column": 16,
                    "event": "warning[-Wunused-function]",
                    "message": "‘input’ defined but not used",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1615 | #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                ^    ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1719,
                    "column": 12,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘<unknown>’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "services/lex.l",
                    "line": 160,
                    "column": 6,
                    "event": "note",
                    "message": "(1) entry to ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(2) calling ‘kiotrader_scan_string’ from ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 37,
                    "column": 24,
                    "event": "note",
                    "message": "(3) entry to ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2001,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_string’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(4) calling ‘kiotrader_scan_bytes’ from ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2004,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(5) entry to ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2014,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 223,
                    "column": 17,
                    "event": "note",
                    "message": "(6) inlined call to ‘kiotraderalloc’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2023,
                    "column": 24,
                    "event": "note",
                    "message": "in expansion of macro ‘yyalloc’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2385,
                    "column": 16,
                    "event": "note",
                    "message": "(7) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2024,
                    "column": 12,
                    "event": "note",
                    "message": "(8) assuming ‘malloc(n)’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2024,
                    "column": 12,
                    "event": "note",
                    "message": "(9) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(10) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(11) calling ‘kiotrader_scan_buffer’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2032,
                    "column": 6,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(12) entry to ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1964,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1968,
                    "column": 5,
                    "event": "note",
                    "message": "(13) following ‘false’ branch (when ‘size > 1’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1969,
                    "column": 18,
                    "event": "note",
                    "message": "(14) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1968,
                    "column": 16,
                    "event": "note",
                    "message": "(15) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1970,
                    "column": 18,
                    "event": "note",
                    "message": "(16) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1969,
                    "column": 52,
                    "event": "note",
                    "message": "(17) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(18) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(19) calling ‘kiotrader_scan_buffer.part.0’ from ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(20) entry to ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1964,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1975,
                    "column": 12,
                    "event": "note",
                    "message": "(21) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1978,
                    "column": 31,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(23) calling ‘kiotrader_switch_to_buffer’ from ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1988,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(24) entry to ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1709,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(25) calling ‘kiotraderensure_buffer_stack’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(26) entry to ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1914,
                    "column": 13,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1919,
                    "column": 5,
                    "event": "note",
                    "message": "(27) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 9,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(29) returning to ‘kiotrader_switch_to_buffer’ from ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 491,
                    "column": 27,
                    "event": "note",
                    "message": "(30) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1719,
                    "column": 14,
                    "event": "note",
                    "message": "in expansion of macro ‘YY_CURRENT_BUFFER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(31) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(32) returning to ‘kiotrader_scan_buffer.part.0’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1988,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(33) returning to ‘kiotrader_scan_buffer’ from ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(34) returning to ‘kiotrader_scan_bytes’ from ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2032,
                    "column": 6,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2033,
                    "column": 12,
                    "event": "note",
                    "message": "(35) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2039,
                    "column": 29,
                    "event": "note",
                    "message": "(36) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(37) returning to ‘kiotrader_scan_string’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2004,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(38) returning to ‘KTraderParse_initFlex’ from ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(39) calling ‘kiotrader_switch_to_buffer’ from ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(40) entry to ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1709,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(41) calling ‘kiotraderensure_buffer_stack’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(42) entry to ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1914,
                    "column": 13,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1919,
                    "column": 5,
                    "event": "note",
                    "message": "(43) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 9,
                    "event": "note",
                    "message": "(44) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(45) returning to ‘kiotrader_switch_to_buffer’ from ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 491,
                    "column": 27,
                    "event": "note",
                    "message": "(46) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1719,
                    "column": 14,
                    "event": "note",
                    "message": "in expansion of macro ‘YY_CURRENT_BUFFER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(47) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1719,
                    "column": 12,
                    "event": "note",
                    "message": "(48) ‘<unknown>’ leaks here; was allocated at (7)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_create_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1770,
                    "column": 12,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘malloc(64)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 19,
                    "column": 26,
                    "event": "note",
                    "message": "(1) entry to ‘kiotrader_create_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1756,
                    "column": 21,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_create_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 223,
                    "column": 17,
                    "event": "note",
                    "message": "(2) inlined call to ‘kiotraderalloc’ from ‘kiotrader_create_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1760,
                    "column": 24,
                    "event": "note",
                    "message": "in expansion of macro ‘yyalloc’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2385,
                    "column": 16,
                    "event": "note",
                    "message": "(3) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_create_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1761,
                    "column": 12,
                    "event": "note",
                    "message": "(4) assuming ‘malloc(64)’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1761,
                    "column": 12,
                    "event": "note",
                    "message": "(5) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1764,
                    "column": 17,
                    "event": "note",
                    "message": "(6) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1770,
                    "column": 12,
                    "event": "note",
                    "message": "(7) ‘malloc(64)’ leaks here; was allocated at (3)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_init_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1812,
                    "column": 19,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL ‘b’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 97,
                    "column": 19,
                    "event": "note",
                    "message": "(1) entry to ‘kiotraderrestart’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1691,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yyrestart’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(2) calling ‘kiotraderensure_buffer_stack’ from ‘kiotraderrestart’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1696,
                    "column": 16,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(3) entry to ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1914,
                    "column": 13,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1919,
                    "column": 5,
                    "event": "note",
                    "message": "(4) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 9,
                    "event": "note",
                    "message": "(5) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(6) returning to ‘kiotraderrestart’ from ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1696,
                    "column": 16,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 19,
                    "column": 26,
                    "event": "note",
                    "message": "(7) calling ‘kiotrader_create_buffer’ from ‘kiotraderrestart’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1698,
                    "column": 27,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_create_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 19,
                    "column": 26,
                    "event": "note",
                    "message": "(8) entry to ‘kiotrader_create_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1756,
                    "column": 21,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_create_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1761,
                    "column": 12,
                    "event": "note",
                    "message": "(9) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1764,
                    "column": 17,
                    "event": "note",
                    "message": "(10) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1770,
                    "column": 12,
                    "event": "note",
                    "message": "(11) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1773,
                    "column": 22,
                    "event": "note",
                    "message": "(12) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 49,
                    "column": 24,
                    "event": "note",
                    "message": "(13) calling ‘kiotrader_init_buffer’ from ‘kiotrader_create_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1775,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_init_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 49,
                    "column": 24,
                    "event": "note",
                    "message": "(14) entry to ‘kiotrader_init_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1804,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_init_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 55,
                    "column": 25,
                    "event": "note",
                    "message": "(15) calling ‘kiotrader_flush_buffer’ from ‘kiotrader_init_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1810,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_flush_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 55,
                    "column": 25,
                    "event": "note",
                    "message": "(16) entry to ‘kiotrader_flush_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1833,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_flush_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1836,
                    "column": 5,
                    "event": "note",
                    "message": "(17) following ‘false’ branch (when ‘b’ is non-NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1839,
                    "column": 16,
                    "event": "note",
                    "message": "(18) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 55,
                    "column": 25,
                    "event": "note",
                    "message": "(19) returning to ‘kiotrader_init_buffer’ from ‘kiotrader_flush_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1810,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_flush_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 49,
                    "column": 24,
                    "event": "note",
                    "message": "(20) returning to ‘kiotrader_create_buffer’ from ‘kiotrader_init_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1775,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_init_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 19,
                    "column": 26,
                    "event": "note",
                    "message": "(21) returning to ‘kiotraderrestart’ from ‘kiotrader_create_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1698,
                    "column": 27,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_create_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 49,
                    "column": 24,
                    "event": "note",
                    "message": "(22) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1701,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_init_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 49,
                    "column": 24,
                    "event": "note",
                    "message": "(23) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1701,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_init_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 49,
                    "column": 24,
                    "event": "note",
                    "message": "(24) calling ‘kiotrader_init_buffer’ from ‘kiotraderrestart’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1701,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_init_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 49,
                    "column": 24,
                    "event": "note",
                    "message": "(25) entry to ‘kiotrader_init_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1804,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_init_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 55,
                    "column": 25,
                    "event": "note",
                    "message": "(26) calling ‘kiotrader_flush_buffer’ from ‘kiotrader_init_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1810,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_flush_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 55,
                    "column": 25,
                    "event": "note",
                    "message": "(27) entry to ‘kiotrader_flush_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1833,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_flush_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1836,
                    "column": 5,
                    "event": "note",
                    "message": "(28) following ‘true’ branch (when ‘b’ is NULL)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(29) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 55,
                    "column": 25,
                    "event": "note",
                    "message": "(30) returning to ‘kiotrader_init_buffer’ from ‘kiotrader_flush_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1810,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_flush_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1812,
                    "column": 19,
                    "event": "note",
                    "message": "(31) dereference of NULL ‘b’",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1945,
                    "column": 38,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘<unknown>’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "services/lex.l",
                    "line": 160,
                    "column": 6,
                    "event": "note",
                    "message": "(1) entry to ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(2) calling ‘kiotrader_scan_string’ from ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 37,
                    "column": 24,
                    "event": "note",
                    "message": "(3) entry to ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2001,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_string’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(4) calling ‘kiotrader_scan_bytes’ from ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2004,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(5) entry to ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2014,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2024,
                    "column": 12,
                    "event": "note",
                    "message": "(6) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(8) calling ‘kiotrader_scan_buffer’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2032,
                    "column": 6,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(9) entry to ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1964,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1968,
                    "column": 5,
                    "event": "note",
                    "message": "(10) following ‘false’ branch (when ‘size > 1’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1969,
                    "column": 18,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1968,
                    "column": 16,
                    "event": "note",
                    "message": "(12) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1970,
                    "column": 18,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1969,
                    "column": 52,
                    "event": "note",
                    "message": "(14) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(15) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(16) calling ‘kiotrader_scan_buffer.part.0’ from ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(17) entry to ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1964,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1975,
                    "column": 12,
                    "event": "note",
                    "message": "(18) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1978,
                    "column": 31,
                    "event": "note",
                    "message": "(19) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(20) calling ‘kiotrader_switch_to_buffer’ from ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1988,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(21) entry to ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1709,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(22) calling ‘kiotraderensure_buffer_stack’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(23) entry to ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1914,
                    "column": 13,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1919,
                    "column": 5,
                    "event": "note",
                    "message": "(24) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 9,
                    "event": "note",
                    "message": "(25) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 5,
                    "event": "note",
                    "message": "(26) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1944,
                    "column": 16,
                    "event": "note",
                    "message": "(27) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 229,
                    "column": 19,
                    "event": "note",
                    "message": "(28) inlined call to ‘kiotraderrealloc’ from ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1945,
                    "column": 66,
                    "event": "note",
                    "message": "in expansion of macro ‘yyrealloc’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2400,
                    "column": 16,
                    "event": "note",
                    "message": "(29) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2400,
                    "column": 16,
                    "event": "note",
                    "message": "(30) when ‘realloc’ succeeds, moving buffer",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1949,
                    "column": 48,
                    "event": "note",
                    "message": "(31) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1953,
                    "column": 50,
                    "event": "note",
                    "message": "(32) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(33) returning to ‘kiotrader_switch_to_buffer’ from ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 491,
                    "column": 27,
                    "event": "note",
                    "message": "(34) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1719,
                    "column": 14,
                    "event": "note",
                    "message": "in expansion of macro ‘YY_CURRENT_BUFFER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(35) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(36) returning to ‘kiotrader_scan_buffer.part.0’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1988,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(37) returning to ‘kiotrader_scan_buffer’ from ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(38) returning to ‘kiotrader_scan_bytes’ from ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2032,
                    "column": 6,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2033,
                    "column": 12,
                    "event": "note",
                    "message": "(39) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2039,
                    "column": 29,
                    "event": "note",
                    "message": "(40) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(41) returning to ‘kiotrader_scan_string’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2004,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(42) returning to ‘KTraderParse_initFlex’ from ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(43) calling ‘kiotrader_switch_to_buffer’ from ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(44) entry to ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1709,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(45) calling ‘kiotraderensure_buffer_stack’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(46) entry to ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1914,
                    "column": 13,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1919,
                    "column": 5,
                    "event": "note",
                    "message": "(47) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 9,
                    "event": "note",
                    "message": "(48) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 5,
                    "event": "note",
                    "message": "(49) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1944,
                    "column": 16,
                    "event": "note",
                    "message": "(50) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 229,
                    "column": 19,
                    "event": "note",
                    "message": "(51) inlined call to ‘kiotraderrealloc’ from ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1945,
                    "column": 66,
                    "event": "note",
                    "message": "in expansion of macro ‘yyrealloc’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2400,
                    "column": 16,
                    "event": "note",
                    "message": "(52) when ‘realloc’ fails",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1945,
                    "column": 38,
                    "event": "note",
                    "message": "(53) ‘<unknown>’ leaks here; was allocated at (29)",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘kiotrader_scan_string(_code,  _scanner)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2004,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "services/lex.l",
                    "line": 160,
                    "column": 6,
                    "event": "note",
                    "message": "(1) entry to ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(2) calling ‘kiotrader_scan_string’ from ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 37,
                    "column": 24,
                    "event": "note",
                    "message": "(3) entry to ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2001,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_string’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(4) calling ‘kiotrader_scan_bytes’ from ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2004,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(5) entry to ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2014,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2024,
                    "column": 12,
                    "event": "note",
                    "message": "(6) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(7) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(8) calling ‘kiotrader_scan_buffer’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2032,
                    "column": 6,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(9) entry to ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1964,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1968,
                    "column": 5,
                    "event": "note",
                    "message": "(10) following ‘false’ branch (when ‘size > 1’)...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1969,
                    "column": 18,
                    "event": "note",
                    "message": "(11) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1968,
                    "column": 16,
                    "event": "note",
                    "message": "(12) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1970,
                    "column": 18,
                    "event": "note",
                    "message": "(13) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1969,
                    "column": 52,
                    "event": "note",
                    "message": "(14) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(15) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(16) calling ‘kiotrader_scan_buffer.part.0’ from ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(17) entry to ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1964,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 223,
                    "column": 17,
                    "event": "note",
                    "message": "(18) inlined call to ‘kiotraderalloc’ from ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1974,
                    "column": 24,
                    "event": "note",
                    "message": "in expansion of macro ‘yyalloc’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2385,
                    "column": 16,
                    "event": "note",
                    "message": "(19) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1975,
                    "column": 12,
                    "event": "note",
                    "message": "(20) assuming ‘malloc(64)’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1975,
                    "column": 12,
                    "event": "note",
                    "message": "(21) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1978,
                    "column": 31,
                    "event": "note",
                    "message": "(22) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(23) calling ‘kiotrader_switch_to_buffer’ from ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1988,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(24) entry to ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1709,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(25) calling ‘kiotraderensure_buffer_stack’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(26) entry to ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1914,
                    "column": 13,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1919,
                    "column": 5,
                    "event": "note",
                    "message": "(27) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 9,
                    "event": "note",
                    "message": "(28) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(29) returning to ‘kiotrader_switch_to_buffer’ from ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 491,
                    "column": 27,
                    "event": "note",
                    "message": "(30) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1719,
                    "column": 14,
                    "event": "note",
                    "message": "in expansion of macro ‘YY_CURRENT_BUFFER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(31) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(32) returning to ‘kiotrader_scan_buffer.part.0’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1988,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(33) returning to ‘kiotrader_scan_buffer’ from ‘kiotrader_scan_buffer.part.0’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(34) returning to ‘kiotrader_scan_bytes’ from ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2032,
                    "column": 6,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2033,
                    "column": 12,
                    "event": "note",
                    "message": "(35) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2039,
                    "column": 29,
                    "event": "note",
                    "message": "(36) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(37) returning to ‘kiotrader_scan_string’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2004,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(38) returning to ‘KTraderParse_initFlex’ from ‘kiotrader_scan_string’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(39) calling ‘kiotrader_switch_to_buffer’ from ‘KTraderParse_initFlex’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "services/lex.l",
                    "line": 162,
                    "column": 3,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 67,
                    "column": 29,
                    "event": "note",
                    "message": "(40) entry to ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1709,
                    "column": 10,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_switch_to_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(41) calling ‘kiotraderensure_buffer_stack’ from ‘kiotrader_switch_to_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(42) entry to ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1914,
                    "column": 13,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1919,
                    "column": 5,
                    "event": "note",
                    "message": "(43) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1939,
                    "column": 9,
                    "event": "note",
                    "message": "(44) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 85,
                    "column": 31,
                    "event": "note",
                    "message": "(45) returning to ‘kiotrader_switch_to_buffer’ from ‘kiotraderensure_buffer_stack’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1718,
                    "column": 2,
                    "event": "note",
                    "message": "in expansion of macro ‘yyensure_buffer_stack’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 491,
                    "column": 27,
                    "event": "note",
                    "message": "(46) following ‘true’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1719,
                    "column": 14,
                    "event": "note",
                    "message": "in expansion of macro ‘YY_CURRENT_BUFFER’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(47) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(48) ‘kiotrader_scan_string(_code,  _scanner)’ leaks here; was allocated at (19)",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2004,
                    "column": 9,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 401,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2030,
                    "column": 25,
                    "event": "warning[-Wanalyzer-malloc-leak]",
                    "message": "leak of ‘malloc(n)’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 43,
                    "column": 23,
                    "event": "note",
                    "message": "(1) entry to ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2014,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_bytes’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 223,
                    "column": 17,
                    "event": "note",
                    "message": "(2) inlined call to ‘kiotraderalloc’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2023,
                    "column": 24,
                    "event": "note",
                    "message": "in expansion of macro ‘yyalloc’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2385,
                    "column": 16,
                    "event": "note",
                    "message": "(3) allocated here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In function ‘kiotrader_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2024,
                    "column": 12,
                    "event": "note",
                    "message": "(4) assuming ‘malloc(n)’ is non-NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2024,
                    "column": 12,
                    "event": "note",
                    "message": "(5) following ‘false’ branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "cc1",
                    "line": 0,
                    "event": "note",
                    "message": "(6) ...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(7) calling ‘kiotrader_scan_buffer’ from ‘kiotrader_scan_bytes’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2032,
                    "column": 6,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 31,
                    "column": 24,
                    "event": "note",
                    "message": "(8) entry to ‘kiotrader_scan_buffer’",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 1964,
                    "column": 17,
                    "event": "note",
                    "message": "in expansion of macro ‘yy_scan_buffer’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kservice-5.115.0-build/kservice-5.115.0/redhat-linux-build/src/lex.c",
                    "line": 2030,
                    "column": 25,
                    "event": "note",
                    "message": "(9) ‘malloc(n)’ leaks here; was allocated at (3)",
                    "verbosity_level": 2
                }
            ]
        }
    ]
}
